Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.util
Class Var

    java.lang.Object
      org.basex.query.xquery.util.Var

All Implemented Interfaces:
  java.lang.Cloneable

    public final class Var

extends java.lang.Object
implements java.lang.Cloneable

Variable.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`Expr` | `expr` Variable expressions.
`Item` | `item` Variable results.
`QNm` | `name` Variable name.
`boolean` | `score` Scoring flag.
`SeqType` | `type` Data type.

Constructor Summary
`Var(QNm n)` Constructor.
`Var(QNm n, boolean s)` Constructor.
`Var(QNm n, SeqType t)` Constructor.

Method Summary
`Var` | `clone()`
`void` | `comp(XQContext ctx)` Compiles the variable.
`Var` | `expr(Expr e, XQContext ctx)` Sets the specified expression.
`Var` | `fun(Item it, XQContext ctx)` Sets the specified expression.
`Var` | `item(Item it, XQContext ctx)` Sets the specified expression.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expr

    public Expr expr

  Variable expressions.

### item

    public Item item

  Variable results.

### name

    public QNm name

  Variable name.

### score

    public boolean score

  Scoring flag.

### type

    public SeqType type

  Data type.

Constructor Detail

### Var

    public Var(QNm n)

  Constructor.

  Parameters:
    `n` - variable name

### Var

    public Var(QNm n,
               boolean s)

  Constructor.

  Parameters:
    `n` - variable name
    `s` - scoring flag

### Var

    public Var(QNm n,
               SeqType t)

  Constructor.

  Parameters:
    `n` - variable name
    `t` - data type

Method Detail

### clone

    public Var clone()

  Overrides:
    `clone` in class `java.lang.Object`

### comp

    public void comp(XQContext ctx)
              throws XQException

  Compiles the variable.

  Parameters:
    `ctx` - xquery context
  Throws:
    `XQException` - xquery exception

### expr

    public Var expr(Expr e,
                    XQContext ctx)
             throws XQException

  Sets the specified expression.

  Parameters:
    `e` - expression to be set
    `ctx` - xquery context
  Returns:
    self reference
  Throws:
    `XQException` - evaluation exception

### fun

    public Var fun(Item it,
                   XQContext ctx)
            throws XQException

  Sets the specified expression.

  Parameters:
    `ctx` - xquery context
    `it` - item to be set
  Returns:
    clone
  Throws:
    `XQException` - evaluation exception

### item

    public Var item(Item it,
                    XQContext ctx)
             throws XQException

  Sets the specified expression.

  Parameters:
    `ctx` - xquery context
    `it` - item to be set
  Returns:
    self reference
  Throws:
    `XQException` - evaluation exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD